using Godot;
using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;

namespace Rokojori
{  
  
  [Tool]
  [GlobalClass]
  public partial class WorldStreamer:Node3D
  {
    [Export]
    public float streamRadius = 500;

    public Vector3 GetStreamCenter()
    {
      return GlobalPosition;
    }

    public float GetStreamRadius()
    {
      return streamRadius; 
    }
  }
}